[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
@include3=#@#Notes\Process.txt

[CPUMax]
Measure=Plugin
Plugin=AdvancedCPU

[MProcesses]
Measure=Plugin
Plugin=PerfMon.dll
PerfMonObject="System"
PerfMonCounter="Processes"
PerfMonInstance=""
PerfMonDifference=0
UpdateDivider=4
MinValue=1
MaxValue=#PValue#
OnChangeAction=[!UpdateMeter Proc][!UpdateMeasure ProCalc][!UpdateMeter RR1]

[ProCalc]

Measure=Calc

Formula=round(100*[MProcesses]/#PValue#)

DynamicVariables=1


UpdateDivider=-1

[MProcess1]
Measure=Plugin
Plugin=AdvancedCPU.dll
TopProcess=1
CPUExclude=Idle
MaxValue=[CPUMax]
DynamicVariables=1
UpdateDivider=4

[MProcess1Name]
Measure=Plugin
Plugin=AdvancedCPU.dll
TopProcess=2
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system
UpdateDivider=4

[Pro1Calc]

Measure=Calc

Formula=round(100*[MProcess1]/[CPUMax])

DynamicVariables=1


UpdateDivider=4

[Memory1]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=Working Set - Private
PerfMonInstance=[MProcess1Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[IOData1]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=IO Data Bytes/sec
PerfMonInstance=[MProcess1Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[MProcess2]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=1
MaxValue=[CPUMax]
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name]
UpdateDivider=4
DynamicVariables=1

[Pro2Calc]

Measure=Calc

Formula=round(100*[MProcess2]/[CPUMax])

DynamicVariables=1


UpdateDivider=4

[MProcess2Name]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=2
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name]
UpdateDivider=4
DynamicVariables=1

[Memory2]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=Working Set - Private
PerfMonInstance=[MProcess2Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[IOData2]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=IO Data Bytes/sec
PerfMonInstance=[MProcess2Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[MProcess3]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=1
MaxValue=[CPUMax]
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name]
UpdateDivider=4
DynamicVariables=1

[Pro3Calc]

Measure=Calc

Formula=round(100*[MProcess3]/[CPUMax])

DynamicVariables=1


UpdateDivider=4

[MProcess3Name]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=2
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name]
UpdateDivider=4
DynamicVariables=1

[Memory3]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=Working Set - Private
PerfMonInstance=[MProcess3Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[IOData3]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=IO Data Bytes/sec
PerfMonInstance=[MProcess3Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[MProcess4]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=1
MaxValue=[CPUMax]
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name];[MProcess3Name]
UpdateDivider=4
DynamicVariables=1

[Pro4Calc]

Measure=Calc

Formula=round(100*[MProcess4]/[CPUMax])

DynamicVariables=1


UpdateDivider=4

[MProcess4Name]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=2
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name];[MProcess3Name]
UpdateDivider=4
DynamicVariables=1

[Memory4]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=Working Set - Private
PerfMonInstance=[MProcess4Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[IOData4]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=IO Data Bytes/sec
PerfMonInstance=[MProcess4Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[MProcess5]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=1
MaxValue=[CPUMax]
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name];[MProcess3Name];[MProcess4Name]
UpdateDivider=4
DynamicVariables=1

[Pro5Calc]

Measure=Calc

Formula=round(100*[MProcess5]/[CPUMax])

DynamicVariables=1


UpdateDivider=4

[MProcess5Name]
Measure=Plugin
Plugin=AdvancedCPU
TopProcess=2
CPUExclude=Idle;dwm;wmpnetwk;csrss;svchost;lsass;System;system;[MProcess1Name];[MProcess2Name];[MProcess3Name];[MProcess4Name]
UpdateDivider=4
DynamicVariables=1

[Memory5]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=Working Set - Private
PerfMonInstance=[MProcess5Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[IOData5]
Measure=Plugin
Plugin=Perfmon
PerfMonObject=Process
PerfMonCounter=IO Data Bytes/sec
PerfMonInstance=[MProcess5Name]
PerfMonDifference=0
DynamicVariables=1
UpdateDivider=4

[Title]
Meter=STRING
MeterStyle=Style1
Text=#pro#
LeftMouseUpAction=["taskmgr.exe"]
ToolTipText=#Otm#

[Proc]
Meter=STRING
MeterStyle=Style4
MeasureName=MProcesses
Text=%1
LeftMouseUpAction=#@#Notes\Process.txt
Tooltiptext=#op16#

[RR0]
Meter=Shape
MeterStyle=PB1

[RR1]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([ProCalc]*1.93-186),0.6,192,9,2

[Prot]
Text=
H=12
W=150
ClipString=1
UpdateDivider=4

[ProSt]
Text=%1%
Percentual=1
NumOfDecimals=2
UpdateDivider=4

[ProSt1]
Text=%1B
AutoScale=1
NumOfDecimals=2
TooltipText=RAM
UpdateDivider=4

[ProSt2]
Text=%1B
AutoScale=1
NumOfDecimals=2
UpdateDivider=4
TooltipTitle=IO Data Bytes/sec
TooltipText=Counts all I/O activity generated by the process to include file, network and device I/Os.

[P1]
Meter=String
MeterStyle=Style3|Prot
MeasureName=MProcess1Name

[P1P]
Meter=String
MeterStyle=Style4|ProSt
MeasureName=MProcess1

[Bar]
Meter=Shape
MeterStyle=PB1

[Bar2]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([Pro1Calc]*1.93-186),0.6,192,9,2

[P1P1]
Meter=String
MeterStyle=Style3|ProSt1
MeasureName=Memory1

[P1P1+]
Meter=String
MeterStyle=Style4|ProSt2
MeasureName=IOData1

[P2]
Meter=String
MeterStyle=Style2|Prot
MeasureName=MProcess2Name

[P2P]
Meter=String
MeterStyle=Style4|ProSt
MeasureName=MProcess2

[Bar3]
Meter=Shape
MeterStyle=PB1

[Bar4]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([Pro2Calc]*1.93-186),0.6,192,9,2

[P1P2]
Meter=String
MeterStyle=Style3|ProSt1
MeasureName=Memory2

[P1P2+]
Meter=String
MeterStyle=Style4|ProSt2
MeasureName=IOData2

[P3]
Meter=String
MeterStyle=Style2|Prot
MeasureName=MProcess3Name

[P3P]
Meter=String
MeterStyle=Style4|ProSt
MeasureName=MProcess3

[Bar5]
Meter=Shape
MeterStyle=PB1

[Bar6]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([Pro3Calc]*1.93-186),0.6,192,9,2

[P1P3]
Meter=String
MeterStyle=Style3|ProSt1
MeasureName=Memory3

[P1P3+]
Meter=String
MeterStyle=Style4|ProSt2
MeasureName=IOData3

[P4]
Meter=String
MeterStyle=Style2|Prot
MeasureName=MProcess4Name

[P4P]
Meter=String
MeterStyle=Style4|ProSt
MeasureName=MProcess4

[Bar7]
Meter=Shape
MeterStyle=PB1

[Bar8]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([Pro4Calc]*1.93-186),0.6,192,9,2

[P1P4]
Meter=String
MeterStyle=Style3|ProSt1
MeasureName=Memory4

[P1P4+]
Meter=String
MeterStyle=Style4|ProSt2
MeasureName=IOData4

[P5]
Meter=String
MeterStyle=Style2|Prot
MeasureName=MProcess5Name

[P5P]
Meter=String
MeterStyle=Style4|ProSt
MeasureName=MProcess5

[Bar9]
Meter=Shape
MeterStyle=PB1

[Bar10]
Meter=Shape
MeterStyle=PB2|LST1
Shape2=Rectangle ([Pro5Calc]*1.93-186),0.6,192,9,2

[P1P5]
Meter=String
MeterStyle=Style3|ProSt1
MeasureName=Memory5

[P1P5+]
Meter=String
MeterStyle=Style4|ProSt2
MeasureName=IOData5

[LST1]
UpdateDivider=4